Skip to main content

Prerequisites

1

Get access to the APIs and authenticate

Your Customer Success Manager will provide you with a starter pack containing everything you need for each environment. You should have the following:
ResourceUAT / SandboxProduction
Portal URLhttps://portal.uat.frankie.onehttps://portal.frankie.one
API Base URL for Onboarding Fraud, and Transaction and Activity monitoringhttps://api.uat.frankie.one/v2https://api.frankie.one/v2
Customer IDYour unique UAT Customer IDYour unique Production Customer ID
API KeyYour secret UAT API KeyYour secret Production API Key
The easiest way to verify that your credentials and connection are working is to call our simple health check endpoint: /ruok. This endpoint doesn’t require a request body and is used purely to confirm successful authentication.

Request - Health check

curl --location '[https://api.uat.frankie.one/v2/kyc/ruok](https://api.uat.frankie.one/v2/kyc/ruok)' \--header 'api_key: {{your_uat_api_key}}' \--header 'X-Frankie-CustomerId: {{your_uat_customer_id}}'

Response

If you receive an error, double-check that your API key and Customer ID are correct and that you are using the correct base URL for the environment.
Refer to the authentication page for more details.
2

Set up risk rules in the rule engine

FrankieOne must configure device and behavioral intelligence for your account. This includes advanced features such as:
  • Detecting multiple users linked to one device
  • IP address analysis
  • Phone and mouse movement patterns
  • High-risk information entry (for example, excessive copying and pasting)
  • Remote software detection
Contact your Customer Success Manager to enable or adjust this feature.

Integration overview

  • OneSDK - Capture device and location details to have them evaluated by the system.
  • KYC API - Capture entity’s phone and email details so they can be checked or evaluated by the system.
  • Transaction and Activity Monitoring API - Send financial transactions and non-financial activities (for example, registration, login, account changes) for evaluation against configured fraud and AML rulesets using email/phone analysis, behavioral and device intelligence.
Product functionOneSDKKYC APITransaction and activity API
Onboarding fraud (data collection)Phone, email, device, location checksPhone and email onlyNot applicable
AML transaction and activityPhone, email, device, location checksPhone and email onlyAML transaction alerts
Fraud transaction and activityPhone, email, device, location checksPhone and email onlyFraud and behavior alerts
Review and manageFrankieOne PortalFrankieOne PortalFrankieOne Portal
View the data in FrankieOne Portal for a cohesive and unified view of phone, email, device, location, and fraud checks. Data and check results are available on the entity view’s workflow events page.